const jsonFile = require('jsonfile');

exports.readAll = async () => {
    const fileData = await jsonFile.readFile('./users.json');
    return fileData;
};

exports.readById = async (id) => {
    const fileData = await jsonFile.readFile('./users.json');
    const item = fileData.filter(ele => ele.id == id);
    return item;
}

exports.addUser = async (user) => {
    const currentFile = await jsonFile.readFile('./users.json');
    currentFile.push(user);
    const updatedFile = await jsonFile.writeFile('./users.json', currentFile);
    return user;
}


exports.updateUser = async (id,prop,val) => {
    const currentFile = await jsonFile.readFile('./users.json');
    const editedItemIndex = currentFile.findIndex(e => e.id == id);
    const editedItem = currentFile[editedItemIndex];
    editedItem[prop] = val;
    currentFile[editedItemIndex] = editedItem;
    const updatedFile = await jsonFile.writeFile('./users.json', currentFile);
    return editedItem;
}

exports.deleteUserById = async (id) => {
    let currentFile = await jsonFile.readFile('./users.json');
    currentFile = currentFile.filter(ele => ele.id != id);
    const updatedFile = await jsonFile.writeFile('./users.json', currentFile);
    return {};
}
